curl --request GET \
--url https://api.gnosisramp.io/v1/intent/{id} \
--header 'Authorization: Bearer <token>'{
"intent": {
"id": "intent_123",
"src": {
"id": "ext_acc_12345",
"type": "BANK_ACCOUNT",
"currencyId": "usd-currency-id",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"metadata": {},
"label": "Personal Checking Account",
"customerId": "customer-123",
"currency": {
"id": "usd-currency-id",
"ticker": "USDC",
"name": "USD Coin",
"code": "USDC_ETH",
"decimals": 6,
"type": "FIAT",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
},
"dest": {
"id": "ext_acc_12345",
"type": "BANK_ACCOUNT",
"currencyId": "usd-currency-id",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"metadata": {},
"label": "Personal Checking Account",
"customerId": "customer-123",
"currency": {
"id": "usd-currency-id",
"ticker": "USDC",
"name": "USD Coin",
"code": "USDC_ETH",
"decimals": 6,
"type": "FIAT",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
},
"status": "PENDING",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"currentRequirementCode": "KYC_VERIFICATION",
"expiredAt": "2024-12-31T23:59:59.000Z",
"transferAmount": {
"amount": "100.50",
"currencyCode": "USD"
},
"mmPlan": {
"id": "mm_plan_123",
"type": "ONRAMP",
"providerAccountId": "provider_acc_123",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"providerAccount": {
"id": "<string>",
"providerCode": "NOAH",
"providerName": "Noah"
}
},
"compliancePlan": {
"id": "compliance_plan_123",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"currentStepCode": "KYC_VERIFICATION",
"steps": [
{
"id": "step_123",
"code": "KYC_VERIFICATION",
"description": "Complete KYC verification",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"metadata": {},
"complianceEdge": {
"id": "<string>"
}
}
]
},
"redirectUrl": "<string>",
"autoExecute": true
},
"frontendUrl": "https://app.gnosisramp.com/intent/intent_123",
"workflowId": "workflow_123",
"transaction": {
"id": "txn_123",
"intentId": "intent_123",
"status": "PENDING",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"providerReference": "noah_txn_abc123",
"lastActivityAt": "2024-01-01T00:00:00.000Z",
"context": {}
}
}Retrieve details of a specific payment intent by ID.
The response includes all intent details, compliance plan status, and associated transaction data with deposit instructions if a transaction has been created.
curl --request GET \
--url https://api.gnosisramp.io/v1/intent/{id} \
--header 'Authorization: Bearer <token>'{
"intent": {
"id": "intent_123",
"src": {
"id": "ext_acc_12345",
"type": "BANK_ACCOUNT",
"currencyId": "usd-currency-id",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"metadata": {},
"label": "Personal Checking Account",
"customerId": "customer-123",
"currency": {
"id": "usd-currency-id",
"ticker": "USDC",
"name": "USD Coin",
"code": "USDC_ETH",
"decimals": 6,
"type": "FIAT",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
},
"dest": {
"id": "ext_acc_12345",
"type": "BANK_ACCOUNT",
"currencyId": "usd-currency-id",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"metadata": {},
"label": "Personal Checking Account",
"customerId": "customer-123",
"currency": {
"id": "usd-currency-id",
"ticker": "USDC",
"name": "USD Coin",
"code": "USDC_ETH",
"decimals": 6,
"type": "FIAT",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
},
"status": "PENDING",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"currentRequirementCode": "KYC_VERIFICATION",
"expiredAt": "2024-12-31T23:59:59.000Z",
"transferAmount": {
"amount": "100.50",
"currencyCode": "USD"
},
"mmPlan": {
"id": "mm_plan_123",
"type": "ONRAMP",
"providerAccountId": "provider_acc_123",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"providerAccount": {
"id": "<string>",
"providerCode": "NOAH",
"providerName": "Noah"
}
},
"compliancePlan": {
"id": "compliance_plan_123",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"currentStepCode": "KYC_VERIFICATION",
"steps": [
{
"id": "step_123",
"code": "KYC_VERIFICATION",
"description": "Complete KYC verification",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"metadata": {},
"complianceEdge": {
"id": "<string>"
}
}
]
},
"redirectUrl": "<string>",
"autoExecute": true
},
"frontendUrl": "https://app.gnosisramp.com/intent/intent_123",
"workflowId": "workflow_123",
"transaction": {
"id": "txn_123",
"intentId": "intent_123",
"status": "PENDING",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"providerReference": "noah_txn_abc123",
"lastActivityAt": "2024-01-01T00:00:00.000Z",
"context": {}
}
}GnosisRamp JWT bearer token for authenticated customer requests
The intent ID
Intent details
Intent response with full details
Show child attributes
URL for the hosted onboarding/compliance frontend
"https://app.gnosisramp.com/intent/intent_123"
Workflow identifier
"workflow_123"
Money movement transaction if available
Show child attributes